Create business

​

Creates a business entity. New businesses begin in a pending state until onboarding is complete and approved. Product operations require an open account.

Body·

required
application/json
  • The legal name of the business.

  • Trade name, if different from the legal name.

  • Arbitrary JSON metadata associated with the business.

    Properties: 1

Responses

  • application/json
Request Example for post/businesses
curl https://api.treasurefinancial.com/v1/businesses \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "legal_name": "Treasure Financial",
  "doing_business_as": "Treasure",
  "user_data": null
}'
{
  "id": "string",
  "created_at": "2022-01-01T00:00:00.000Z",
  "updated_at": "2022-01-01T00:00:00.000Z",
  "legal_name": "Treasure Financial",
  "doing_business_as": "Treasure",
  "status": "PENDING",
  "sub_status": "string",
  "user_data": {
    "additionalProperty": "anything"
  }
}